/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef AIPTEKDRIVERCLASS_H
#define AIPTEKDRIVERCLASS_H

#include "aiptekDriverDialog.h"
#include "kxmain.h"


class aiptekDriverClass: public aiptekDriverDialog {
Q_OBJECT


public:
    aiptekDriverClass(QWidget *parent = 0, const char *name = 0, QString xorgFile = "", int sectionNum = 0);

xorgConf *x;
int sectNum;


public slots:
    void firstSet();
    void secondSet();
    void thirdSet();
    void maxZPressureCheck();
    void minZPressureCheck();
    void ZThreCheck();
    void YThreCheck();
    void XThreCheck();
    void accept();
    void debugCheck();
    void historyCheck();
    QString returnXorg();



};

#endif
